Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class UniformUnsignedDistImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.random.UniformUnsignedDistImpl

public class UniformUnsignedDistImpl
extends BaseImpl
implements UnsignedDistribution, UnsignedDistributionS, UniformUnsignedDistS, UniformUnsignedDist

Uniform Unsigned Distribution. A generator of non-negative integral values uniformly distributed across a closed interval [min,max]. (The interval includes both its endpoints.) Setting minValue == maxValue is allowed (and returns minValue).

Constructor Summary
`UniformUnsignedDistImpl()`
`UniformUnsignedDistImpl(Zone aZone)` The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.
`UniformUnsignedDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator)` Use this create message if the generator to be attached is a Simple one:
`UniformUnsignedDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator, int minValue, int maxValue)` Use this create message if the generator to be attached is a Simple one:
`UniformUnsignedDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen)` Use this create message if the generator to be attached is a Split one:
`UniformUnsignedDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen, int minValue, int maxValue)` Use this create message if the generator to be attached is a Split one:

Methods implemented by this class for interface swarm.random.UnsignedDistribution
`getUnsignedSample`

Methods implemented by this class for interface swarm.random.UniformUnsignedDistS
`setUnsignedMin$setMax`

Methods implemented by this class for interface swarm.random.UniformUnsignedDist
`getUnsignedMax, getUnsignedMin, getUnsignedWithMin$withMax`

Methods implemented by this class for interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.random.InternalState
`getMagic, getStateSize`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniformUnsignedDistImpl

    public UniformUnsignedDistImpl()

### UniformUnsignedDistImpl

    public UniformUnsignedDistImpl(Zone aZone,
                                   SplitRandomGenerator splitGenerator,
                                   int vGen,
                                   int minValue,
                                   int maxValue)

  Use this create message if the generator to be attached is a Split one:

### UniformUnsignedDistImpl

    public UniformUnsignedDistImpl(Zone aZone,
                                   SimpleRandomGenerator simpleGenerator,
                                   int minValue,
                                   int maxValue)

  Use this create message if the generator to be attached is a Simple one:

### UniformUnsignedDistImpl

    public UniformUnsignedDistImpl(Zone aZone,
                                   SimpleRandomGenerator simpleGenerator)

  Use this create message if the generator to be attached is a Simple one:

### UniformUnsignedDistImpl

    public UniformUnsignedDistImpl(Zone aZone,
                                   SplitRandomGenerator splitGenerator,
                                   int vGen)

  Use this create message if the generator to be attached is a Split one:

### UniformUnsignedDistImpl

    public UniformUnsignedDistImpl(Zone aZone)

  The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD